EDIT - task #9228

Adaptations to allow editing Centaurea in Flora of Greece
09/21/2020 10:43 AM - Andreas Mdller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 30%
Category: data Estimated time: 0:00 hour
Target version: Release 5.45

Severity: critical

Description

It has been decided to edit Centaurea data in Flora of Greece. For making this possible a couple of issues need to be solved in
cdmlib, TaxEditor and in the data portals/web services.

This ticket is meant to be a master ticket for collecting issues that need to be solved.

e generell

o inform-Panayotis-and-diseuss-details (AM) - Mail sent 2020-12-01 => agreed
~ introduction to TaxEditor and EDIT Platform (NK)

cdmlib

o testcloning-ef-subtrees (AM) - #4866, #2470, #4867 => no reuse for taxa and names (s. discussion below)

TaxEditor

Dataportal

Ontology

o copy additivity ontology to ontology master and to FoG DB
o discuss and implement synchronisation with master ontology
o discuss usage of default character tree <-> separate character tree

Related issues:
Related to EDIT - bug #9357: Advanced search shows selection for all classifi... New
Blocked by EDIT - feature request #4866: Implement clone method for complete ... Closed

Associated revisions

Revision 59174ab0 - 12/01/2020 01:28 PM - Andreas Miiller
ref #4866, ref #9228 implement subtree clone in branch

Revision e04ce4b2 - 12/01/2020 06:33 PM - Andreas Miiller
ref #4866, ref #9228 implement subtree clone

Revision 67518a48 - 12/01/2020 07:19 PM - Andreas Miiller

ref #4866, ref #9228 implement subtree clone (cont., fix taxon cloning)

Revision 8f658368 - 12/01/2020 07:28 PM - Andreas Miiller

ref #4866, ref #9228 fix test and use referenceDao instead of refService internally

Revision 32aa5af0 - 12/01/2020 07:45 PM - Andreas Miiller
ref #4866, ref #9228 add references for test

Revision 2b75e024 - 12/01/2020 08:01 PM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/issues/4866
https://dev.e-taxonomy.eu/redmine/issues/4867

ref #4866, ref #9228 try to fix NameServicelmplTest in suite

Revision 9d1786e4 - 12/01/2020 08:06 PM - Andreas Miiller
ref #4866, ref #9228 try to fix further test in suite

Revision 77ad5e8c - 12/01/2020 08:36 PM - Andreas Miiller
ref #4866, ref #9228 fix CloneClassificationOperation preliminary in TaxEditor

Revision 0b79f873 - 12/01/2020 08:41 PM - Andreas Miiller
ref #4866, ref #9228 fix CloneClassificationOperation preliminary in TaxEditor

Revision 77f6a14a - 12/01/2020 08:45 PM - Andreas Miiller
ref #4866, ref #9228 fix CloneClassificationOperation preliminary in TaxEditor

Revision 11e38aae - 12/02/2020 04:12 PM - Andreas Miiller

ref #9228 , ref #4866 some fixes for subtree cloning

Revision a1c98b63 - 12/02/2020 04:14 PM - Andreas Miiller
ref #9228 add CentaureaCloneActivator

History

#1 - 09/21/2020 10:47 AM - Andreas Miiller

- Description updated

#2 - 11/30/2020 10:58 AM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

#3 - 11/30/2020 07:57 PM - Andreas Miiller
- Description updated

- Category changed from cdmlib to devOps

- Assignee deleted (Andreas Mdiller)

- Target version deleted (Release 5.18)

- Severity changed from normal to blocker

#4 - 11/30/2020 07:57 PM - Andreas Miuiller
- Assignee set to Andreas Miiller

- Target version set to Release 5.18

- % Done changed from 0 to 20

- Severity changed from blocker to critical

#5 - 11/30/2020 08:06 PM - Andreas Miiller
- Category changed from devQps to data

#6 - 11/30/2020 08:39 PM - Andreas Miiller

- Description updated

#7 - 12/01/2020 10:09 AM - Andreas Miiller
AM: ...
Ich wiirde den Subtree jetzt clonen, d.h. fir jedes Taxon eine Kopie anlegen, in der alle Daten (Synonyme, Fakten, Bilder und Konzeptrelationen -nur

MAN soweit ich weif3- drin sind) . Diese kdnnen bei Bedarf einzeln in der Hauptflora Gbernommen werden.
Details die es zu klaren gibt:

e soll die Secundum-Referenz tbernommen werden? Die lautet derzeit lediglich Dimopoulos & al. 2013, also die erste Version der Flora von Gr.,

was sowieso nicht ganz stimmt, da es ja bereits einige Korrekturen gab, auch die publizierte von 2016. Da man im Nachhinein auch immer noch
eine Sec flr den ganzen geclonten Subtree aus dem Editor heraus vergeben kann, denke ich, dass wir erstmal die alte Sec nehmen kénnen,
und dann bei Bedarf anpassen.

e Wiederverwendung von Namen: da bin ich nicht mehr ganz sicher, was besprochen wurde, ich wiirde aber jetzt erstmal davon ausgehen, dass
Namen wiederverwendet werden, d.h. dass Anderungen von Konstantina an den Namen dann sofort auch in der FoG Klassifikation erscheinen.
Das misste aber evil. noch mit Panayotis besprochen werden. Bislang gibt es ja v.a. noch keine nom. Referenzen in der DB, d.h. es gabe dann
einige wenige Namen, die eine solche haben. Vielleicht nicht so schén.

¢ Ich wiirde die Classifikation ,Centaurea“ nennen, oder gibt es einen anderen Wunsch?

NK:

 ja, sehe ich auch so, die alten Sec.-Referenzen sind erst mal OK.

¢ Wiederverwendung von Namen: Konstantina hatte kirzlich langer mit Panayotis gesprochen, ihr Projekt vorgestellt und verschiedene Fragen
geklart, aber ich glaube, diese Frage war nicht dabei. Konstantina geht davon aus, dass sie eine nicht &ffentlich sichtbare Parallelbearbeitung
macht; nur soweit hatte ich das mit ihr besprochen. Wenn ich Dich richtig verstehe, entsteht die eigentliche Hauptflora neben der Checkliste,
also in einer eigenen Instanz (als Klon der Checklist treatments??) und nicht direkt aus der Checklist heraus. Wenn dem so ist, dann erschiene
es mir auch fir Centaurea besser, die Namen nicht in der Checklist wiederzuverwenden, um (a) Uneinheitlichkeiten (mit nomenklatorischer
Referenz ohne) innerhalb der Checkliste zu vermeiden, (b) vorlaufige Anderungen in der Klassifikation (etwa hinsichtlich Rangstufe von Taxa)
nicht sichtbar werden zu lassen [oder wiirde dies das FoG-Treatment nicht tangieren?, tiberblicke ich gerade nicht] und (c) vorlaufig editorischen
Fragen hinsichtlich der Gestaltung aus dem Weg zu gehen (etwa Abweichung von der Code-widrigen Behandlung von in-Referenzen in der
Checklist). Was mir nicht klar ist: Was wirde bei aktivierter Wiederverwendung mit Namen geschehen, die nicht in der FoG-Klassifikation sind
(etwa weil nicht im Gebiet?).

e Centaurea als Bezeichnung fir die Klassifikation ist OK.

¢ die Additivity-Ontologie wird sehr bald benétigt, da Konstantina schon dabei ist, Characters + States zu definieren. Dazu missen wir aber auch
noch das Verfahren zwischen Ontologie-Master und Ontologie-Kopien klaren: V.a. wo erfolgen die Ergédnzung/Ausarbeitung des Structure-Tree
und das Anlegen neuer Terme. ZweckmaBigerweise ja wahrscheinlich im Master(?), fir das es ja noch keine eigene Instanz gibt (?) ...

AM:

ja, vermutlich hast du Recht und es ist besser, auch die Namen nicht wiederzuverwenden. Es besteht dann zwischen den beiden Treatments in der
DB zwar kein Bezug mehr (auBBer wir erstellen jetzt bei der Kopie Konzeptbeziehungen zwischen den, das ware problemlos méglich, aber ich weil3
nicht ob es sinnvoll ist), aber bei so relativ wenig Taxa ist das vermutlich auch nicht notwendig, da das spéatere Austauschen da dann ja auch ohne
groBeren Aufwand per Hand geschehen kann.

Was mir nicht klar ist: Was wirde bei aktivierter Wiederverwendung mit Namen geschehen, die nicht in der FoG-Klassifikation sind (etwa weil
nicht im Gebiet?).

Wenn sie bislang gar nicht im System sind, mlssten sie neu eingegeben werden, wenn sie hingegen zu den relativ vielen excluded Taxa gehéren,
kdénnen sie als Namen problemlos wiederverwendet werden, da das excluded ja eine Eigenschaft des Taxons/Placements ist, nicht des Namens.
Aber wenn wir auch Namen nicht wiederverwenden, eriibrigt sich das ja sowieso.

Ich wiirde dann Panayotis tber dieses Vorgehen informieren und hoffe, dass ich zeitnah eine positive Antwort bekomme. Dann kénnen wir direkt mit
dem Clone starten.

Zur Ontology: Ok, dann mussen wir das wohl wirklich bald mal angehen. Das Kopieren des Masters in eine eigene Instanz sollte dabei
vergleichsweise einfach sein. Ich denke, das kdnnen wir noch im Dezember fertigstellen. Auch das Kopieren in die FoG Instanz sollte dann kein
wirklich gréBeres Problem sein.

Schwieriger wird es aber natlrlich bei der Synchronization. Da miissen wir nochmal in uns gehen, wie wir das am besten machen. Es gibt ja eine
Reihe Ideen dazu, aber noch nichts abgeschlossenes und auch keine finalen Entscheidungen. Auch hier hoffe ich, dass ich zumindest im Dezember
einen Entwurf machen kann, den wir dann im Januar diskutieren kdnnen. Bis dahin kédnnte Constantina aber vielleicht zumindest schon mal mit den
bestehenden Structures/Properties/States arbeiten, die ja den bei weitem gréBten Teil abdecken sollten.

Zu entscheiden wére aber natirlich auch noch, ob ebenfalls der Character Tree von Caryo_spp Ubernommen werden soll. Ich glaube, wir hatten das
mal so diskutiert, dass wir mit dem Master zumindest auch einen Default Character Tree mitgeben wollten. Das kdnnen wir natiirlich machen, aber
hier wird es natlrlich schwieriger sein, den synchron zu halten, insbesondere wenn es nicht nur darum gehen sollte, Characters lediglich
hinzuzuftigen.

#8 - 12/01/2020 10:12 AM - Andreas Miiller
- Description updated

#9 - 12/01/2020 06:36 PM - Andreas Miiller
- Description updated

#10 - 12/01/2020 07:02 PM - Andreas Miiller

- Blocked by feature request #4866: Implement clone method for complete classifications added

#11 - 12/18/2020 07:25 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19
After running the import it became clear that not reusing names is not a good idea as
* handling name relationships is difficult if name duplicates exist

¢ handling nameUsedInSource is difficult if name duplicates exist
e cloning taxa with name cloning is difficult as cloned names need to be deduplicated for the cloned subtree (see #9349)

#12 - 12/18/2020 07:25 PM - Andreas Miiller

- Description updated

#13 - 12/18/2020 09:43 PM - Andreas Miiller

- Description updated

#14 - 12/18/2020 09:43 PM - Andreas Miiller
- % Done changed from 20 to 30

#15 - 01/27/2021 04:10 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#16 - 03/10/2021 02:36 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#17 - 04/16/2021 10:18 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.25

#18 - 07/07/2021 03:26 PM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.45

#19 - 07/09/2021 02:10 PM - Andreas Miiller

- Related to bug #9357: Advanced search shows selection for all classification even if only 1 classification is available for a dataportal added
